module SkirentalWebFrontend
    class ApplicationController < ActionController::Base
        protect_from_forgery with: :exception

        private
        def first_element_from_path
            elements = request.path.split("/")
            if elements.count > 1
                return elements[1]
            else
                return ""
            end
        end

        def possible_country_codes
            Rails.application.config.services[:SR_API][:supported_languages] || ["en", "de"]
        end

        def locale_from_browser
            if ( request.env['HTTP_ACCEPT_LANGUAGE'].nil? )
                return I18n.default_locale
            end
            request.env['HTTP_ACCEPT_LANGUAGE'].scan(/^[a-z]{2}/).first
        end
    end
end
