require "skirental_web_frontend/dependencies"

module SkirentalWebFrontend
    class Engine < ::Rails::Engine
        isolate_namespace SkirentalWebFrontend

        config.i18n.default_locale = :de

        # Publish static assets via rails app that integrates this engine
        initializer "static assets" do |app|
            app.middleware.insert_before(::ActionDispatch::Static, ::ActionDispatch::Static, "#{root}/public")
        end

        # # We are decorating other classes in order to add authentication to it.
        # initializer :set_decorator_paths, :before => :load_environment_hook do |app|
        #     ActiveSupportDecorators.debug = true
        #     ActiveSupportDecorators.paths << File.join(config.root, 'app/**')
        # end


        config.to_prepare do
            Rails.application.config.assets.precompile += %w( skirental_web_frontend/main.css skirental_web_frontend/main.js )
        end
    end
end
